3.7 does not work in ff3.5.7 Rated 3 out of 5 stars

Type javascript:alert(navigator.userAgent) in address bar and following message displays

Mozilla/5.0 (Windows; U; Windows NT 5.1; zh-CN; rv:1.9.1.7) Gecko/20091221 (CK-IBM) Firefox/3.5.7 GTB6

This review is for a previous version of the add-on (3.7).